#include <bits/stdc++.h>
using namespace std;
int n,r[200000],c[200000],res=0;
int main() {
	cin>>n;
	for(int i=0;i<n;i++)
		cin>>r[i]>>c[i];
	sort(r,r+n);
	sort(c,c+n);
	int slob=1;
	for(int i=0;i<n;i++){
		res+=abs(r[i]-slob)+abs(c[i]-slob);
		slob++;
	}
	cout<<res;
	return 0;
}